%define name	opengroupware-xml
%define version 4.2
%define cvs     20040523
%define release %{cvs}.1mdk

%define major 0
%define libname %mklibname %name %major

%ifarch %ix86 amd64 x86_64
  %define dirarch ix86
%endif
%ifarch %ppc
  %define dirarch ppc
%endif
%ifarch sparc
  %define dirarch sparc
%endif
%ifarch alpha
  %define dirarch alpha
%endif

Summary:     OpenGroupware.org web application system, XML libraries
Name:        %{name}
Version:     %{version}
Release:     %{release}
License:     LGPL
URL:         http://www.opengroupware.org
Group:       System/Libraries
Prefix:      %{_libdir}/opengroupware.org/system
BuildRoot:   %{_tmppath}/%{name}-buildroot
Requires:    opengroupware-gstep-make, opengroupware-libfoundation
Source:      opengroupware.org-xml-%{cvs}.tar.bz2
Patch:	     opengroupware.org-xml-%{cvs}.patch.bz2
BuildRequires: opengroupware-gstep-make opengroupware-gstep-make-devel 
BuildRequires: opengroupware-gstep-objc opengroupware-gstep-objc-devel 
BuildRequires: opengroupware-libfoundation opengroupware-libfoundation-devel 
BuildRequires: libxml2 libxml2-devel
BuildRequires: opengroupware-libical opengroupware-libical-devel
Requires: opengroupware-libfoundation opengroupware-env
Requires:  opengroupware-gstep-make 
BuildRequires: gcc-objc

%description
This package contains OpenGroupware.org libraries for XML processing.

%package -n %libname
Summary: Libraries from %name.
Group: System/Libraries
Provides: lib%name = %version-%release

%description -n %libname
Libraries from %name.

%package -n %libname-devel
Summary: The header files for the OpenGroupware.org XML libraries.
Group:   Development/Other
Requires: %libname = %version-%release
Provides: %name-devel = %version-%release
Obsoletes: %name-devel < %version-%release
Provides: lib%name-devel = %version-%release

%description -n %libname-devel
This package contains the header files for the OpenGroupware.org XML libraries.

%package libxmlsaxdriver
Summary:  Some SaxObjC drivers which are based on libxml
Group:    Development/Other


%description libxmlsaxdriver
This package contains SAX drivers based on libxml2, more exactly:
- a validating SAX driver based on libxml doc structures
- a non-validating SAX driver based on the libxml SAX interface
- a validating HTML SAX driver based on the libxml HTML driver

%package icalsaxdriver
Summary:  A SaxObjC driver to access iCalendar files in an XML manner
Group:    Development/Other
Requires: opengroupware-libical


%description icalsaxdriver
This package contain a SAX driver based on libical. It parses iCalendar
files using libical and converts the iCalendar structure into SAX events
which are supposed to match the xCal draft (iCalendar 3.0)

%prep

%setup -q -n opengroupware.org-xml
%patch -p1
%build

source %{prefix}/Makefiles/GNUstep.sh
export GNUSTEP_USER_ROOT=${RPM_BUILD_ROOT}%{prefix}

cd SaxObjC;         make -s debug=yes all; cd ..
cd DOM;             make debug=yes all; cd ..
cd XmlRpc;          make -s debug=yes all; cd ..
cd libxmlSAXDriver; make -s debug=yes all; cd ..
cd iCalSaxDriver;   make -s debug=yes all; cd ..
cd samples;         make -s debug=yes all; cd ..


%install

source %{prefix}/Makefiles/GNUstep.sh
export GNUSTEP_USER_ROOT=${RPM_BUILD_ROOT}%{prefix}

cd SaxObjC         
make -s debug=yes GNUSTEP_INSTALLATION_DIR="${RPM_BUILD_ROOT}${GNUSTEP_SYSTEM_ROOT}" install 
cd ..
cd DOM             
make -s debug=yes GNUSTEP_INSTALLATION_DIR="${RPM_BUILD_ROOT}${GNUSTEP_SYSTEM_ROOT}" install 
cd ..
cd XmlRpc          
make -s debug=yes GNUSTEP_INSTALLATION_DIR="${RPM_BUILD_ROOT}${GNUSTEP_SYSTEM_ROOT}" install 
cd ..
cd libxmlSAXDriver 
make -s debug=yes INSTALL_ROOT_DIR="${RPM_BUILD_ROOT}" GNUSTEP_INSTALLATION_DIR="${RPM_BUILD_ROOT}%{prefix}" BUNDLE_INSTALL_DIR="${RPM_BUILD_ROOT}${GNUSTEP_SYSTEM_ROOT}/Library/SaxDrivers" install 
cd ..
cd iCalSaxDriver   
make -s debug=yes INSTALL_ROOT_DIR="${RPM_BUILD_ROOT}" GNUSTEP_INSTALLATION_DIR="${RPM_BUILD_ROOT}%{prefix}" BUNDLE_INSTALL_DIR="${RPM_BUILD_ROOT}${GNUSTEP_SYSTEM_ROOT}/Library/SaxDrivers" install 
cd ..

cd samples
make -s debug=yes GNUSTEP_INSTALLATION_DIR="${RPM_BUILD_ROOT}${GNUSTEP_SYSTEM_ROOT}" install 
cd ..

rm -f \
   ${RPM_BUILD_ROOT}%{prefix}/Tools/%{dirarch}/linux-gnu/gnu-fd-nil/rss2plist1 \
   ${RPM_BUILD_ROOT}%{prefix}/Tools/%{dirarch}/linux-gnu/gnu-fd-nil/rss2plist2 \
   ${RPM_BUILD_ROOT}%{prefix}/Tools/%{dirarch}/linux-gnu/gnu-fd-nil/rssparse \
   ${RPM_BUILD_ROOT}%{prefix}/Tools/%{dirarch}/linux-gnu/gnu-fd-nil/testqp



%pre
if test "x${RPM_INSTALL_PREFIX}" = "x"; then
  RPM_INSTALL_PREFIX="%{prefix}"
fi

if ! test -d ${RPM_INSTALL_PREFIX}; then
  echo "missing RPM install path: ${RPM_INSTALL_PREFIX} !"
  exit 1
fi

GSCFG="${RPM_INSTALL_PREFIX}/Makefiles/GNUstep.sh"
if ! test -f $GSCFG ; then
  echo "missing GNUstep environment: ${GSCFG} !"
  exit 2
fi

%post
if test "x${RPM_INSTALL_PREFIX}" = "x"; then
  RPM_INSTALL_PREFIX="%{prefix}"
fi
ldconfig -n $RPM_INSTALL_PREFIX/Libraries/%{dirarch}/linux-gnu/gnu-fd-nil

%post libxmlsaxdriver

if test "x${RPM_INSTALL_PREFIX}" = "x"; then
  RPM_INSTALL_PREFIX="%{prefix}"
fi

if test "x$USER" = "xroot"; then
su - ogo -s /bin/bash -c '
source ~/OpenGroupware.org.sh
  if test "x`Defaults read NSGlobalDomain XMLReader`" = "x"; then 
    Defaults write NSGlobalDomain XMLReader libxmlSAXDriver
  fi
'
fi


%verify libxmlsaxdriver

GSCFG="${RPM_INSTALL_PREFIX}/Makefiles/GNUstep.sh"
if ! test -f $GSCFG ; then
  echo "missing GNUstep environment: ${GSCFG} !"
  exit 2
fi

source $GSCFG

if test "x`Defaults read NSGlobalDomain XMLReader 2>/dev/null`" = "x"; then
  echo "WARNING: no XMLReader is configured !"
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING COPYRIGHT TODO Version
%{prefix}/Tools/%{dirarch}/linux-gnu/gnu-fd-nil/domxml
%{prefix}/Tools/%{dirarch}/linux-gnu/gnu-fd-nil/saxxml
%{prefix}/Tools/%{dirarch}/linux-gnu/gnu-fd-nil/xmln

%files -n %libname
%defattr(-,root,root,-)
%dir %{prefix}/Libraries
%dir %{prefix}/Libraries/%{dirarch}
%dir %{prefix}/Libraries/%{dirarch}/linux-gnu
%dir %{prefix}/Libraries/%{dirarch}/linux-gnu/gnu-fd-nil
%{prefix}/Libraries/%{dirarch}/linux-gnu/gnu-fd-nil/libSaxObjC*.so*.4.2*
%{prefix}/Libraries/%{dirarch}/linux-gnu/gnu-fd-nil/libDOM*.so*.4.2*
%{prefix}/Libraries/%{dirarch}/linux-gnu/gnu-fd-nil/libXmlRpc*.so*.4.2*

%files -n %libname-devel
%defattr(-,root,root,-)
%{prefix}/Headers/SaxObjC
%{prefix}/Headers/DOM
%{prefix}/Headers/XmlRpc
%{prefix}/Libraries/%{dirarch}/linux-gnu/gnu-fd-nil/libSaxObjC*.so
%{prefix}/Libraries/%{dirarch}/linux-gnu/gnu-fd-nil/libDOM*.so
%{prefix}/Libraries/%{dirarch}/linux-gnu/gnu-fd-nil/libXmlRpc*.so

%files libxmlsaxdriver
%defattr(-,root,root,-)
%dir %{prefix}/Library
%dir %{prefix}/Library/SaxDrivers
%{prefix}/Library/SaxDrivers/libxmlSAXDriver.sax

%files icalsaxdriver
%defattr(-,root,root,-)
%dir %{prefix}/Library
%dir %{prefix}/Library/SaxDrivers
%{prefix}/Library/SaxDrivers/iCalSaxDriver.sax

%changelog
* Mon May 24 2004 Spencer Anderson <sdander@oberon.ark.com> 4.2-20040523.1mdk
- 20040523

* Fri Feb 27 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 4.2-20040204.2mdk
- Own dir
- %%mklibname

* Tue Feb 10 2004 Spencer Anderson <sdander@oberon.ark.com> 4.2-20040204.1mdk
- 20040204
- p0 installrooi

* Fri Dec 12 2003 Spencer Anderson <sdander@oberon.ark.com> 4.2-20031201.2mdk
- rebuild against proper gstep-make

* Thu Dec 4 2003 Spencer Anderson <sdander@oberon.ark.com> 4.2-20031201.1mdk
- new snapshot - bugfixes
- more specfile cleaning

* Mon Oct 5 2003 Spencer Anderson <sdander@oberon.ark.com> 4.2-20031001.1mdk
- new snapshot
- specfile cleanup

* Mon Sep 1 2003 Austin Acton <aacton@yorku.ca> 4.2-20030721.1mdk
- from Spencer Anderson <sdander@oberon.ark.com> :
  - initial Mandrake release
  - based on Redhat specfile

